/************************************************************************/
/* 		This code is part of 'CutterFF'				*/
/*		a tool for cutting video files with 'GTK' and 'ffmpeg'	*/
/*		Copyright (c) 2017,2023 Harald Foerster			*/
/*		(harald_foerster@users.sourceforge.net)			*/
/*		Distributed under GPL 2 or later			*/
/************************************************************************/

#ifndef CFF_NLS__H
#define CFF_NLS__H

/* cff_main.h */
extern const char *gCffMainCutterffPackageString;

#define CFF_NLS_CATALOG_NAME	gCffMainCutterffPackageString

#ifdef HAVE_GETTEXT

#include <locale.h>
#include <libintl.h>

#define CFF_NLS_TEXTDOMAIN(plocale, pnlsdir)		\
{							\
	setlocale(LC_CTYPE, (plocale));			\
	bindtextdomain(CFF_NLS_CATALOG_NAME,		\
	  (pnlsdir) == NULL ? NLS_DIR : (pnlsdir));	\
	textdomain(CFF_NLS_CATALOG_NAME);		\
}

#ifdef LC_MESSAGES

#define CFF_NLS_INIT_LOCALE(nlsdir) \
	  CFF_NLS_TEXTDOMAIN(setlocale(LC_MESSAGES, ""), (nlsdir))

#else /* ! LC_MESSAGES */

#define CFF_NLS_INIT_LOCALE(nlsdir)	CFF_NLS_TEXTDOMAIN("", (nlsdir))

#endif /* #ifdef LC_MESSAGES .. #else */

#else /* ! HAVE_GETTEXT */

#ifdef HAVE_LOCALE
#include <locale.h>
#define CFF_NLS_INIT_LOCALE(nlsdir)	setlocale(LC_CTYPE, "")
#else
#define CFF_NLS_INIT_LOCALE(nlsdir)
#endif

#define gettext(str)		((char *) str)

#endif /* HAVE_GETTEXT */

#define gettext_nop(str)	(str)

#endif /* CFF_NLS__H */
